Firstboot errors on 3.211.63-5 32 bit Distro

I know it is still in Beta, but wanted to get it installed on another server to see what is new.

Well, no matter what version, flavor I get the dreaded “Some firstboot error occured, and the system is not properly setup.\nCheck to see if you have internet access and re-run /etc/pbx_first_boot.sh\nPress ctrl-alt-f1 to continue”

I know it has internet connection, it has no problems sitting there for 10 minutes downloading, and then it just does this failure.

So here is the log, it is quite huge but I will post it anyway.

-----Start Log-----

#INCLUDING stringent.sh

stringent.sh copyright michael potter 2008

stringent.sh is intended to reduce the problems associated with

using bash by turning on bash options that make errors more

apparent. This will not eliminate problems and I am sure there

is some case where some problem will be made worse.

USE AT YOUR OWN RISK.

set -o errexit # errexit first

  • set -o errexit
    set -o noclobber
  • set -o noclobber
    set -o nounset
  • set -o nounset
    set -o pipefail # if you fail on this line, get a newer version of bash.
  • set -o pipefail

function traperr
{
declare -i i;
declare -i nestlevel;
declare Message=${1:-""}

nestlevel=${#FUNCNAME[@]}

if (( $nestlevel <= 2 ))
then
echo “ERROR: ${BASH_SOURCE[1]}:${BASH_LINENO[0]} $Message” >&2
else
echo “ERROR: ${FUNCNAME[1]}(${BASH_SOURCE[1]}:~${BASH_LINENO[0]}) $Message” >&2
for (( i = 2 ; i < $nestlevel ; i++ ))
do
echo " ${FUNCNAME[$i]}(${BASH_SOURCE[$i]}:~${BASH_LINENO[($i-1)]})" >&2
done
fi

if BASH_SUBSHELL is 0, then script will exit anyway.

if (( $BASH_SUBSHELL >= 3 ))
then
kill $$
fi
echo -e “Some firstboot error occured, and the system is not properly setup.\nCheck to see if you have internet access and re-run /etc/pbx_first_boot.sh\nPress ctrl-alt-f1 to continue” >> /dev/tty8
exit 1
}

function traperrsimple
{

Use this function if the above function fails

echo “ERROR: ${BASH_SOURCE[0]} ${LINENO}” >&2

if BASH_SUBSHELL is 0, then script will exit anyway.

if (( $BASH_SUBSHELL >= 1 ))
then
kill $$
fi
}

set -o errtrace

  • set -o errtrace
    trap traperr ERR
  • trap traperr ERR

function errexiton
{
set -o errexit
trap traperr ERR
}

function errexitoff
{
set +o errexit
trap ‘’ ERR
}
#END INCLUDE

test for internet and send back to freepbx

log_info “Testing for internet access”

  • log_info ‘Testing for internet access’
  • echo ‘Testing for internet access’
    INTERFACE=$(ip route show | awk ’ /^default/ { print $5 }’)
    ip route show | awk ’ /^default/ { print $5 }’)
    ip route show | awk ’ /^default/ { print $5 }’
    ++ awk ’ /^default/ { print $5 }’
    ++ ip route show
  • INTERFACE=eth0
    MACADDR=$(ip -o link show ${INTERFACE} | awk ‘/link/ {print $13}’)
    ip -o link show ${INTERFACE} | awk ‘/link/ {print $13}’)
    ip -o link show ${INTERFACE} | awk ‘/link/ {print $13}’
    ++ awk ‘/link/ {print $13}’
    ++ ip -o link show eth0
  • MACADDR=00:50:2c:08:f6:1e
    MACHASH=$(echo -en ${MACADDR} | md5sum - | awk ‘/-/ {print $1}’)
    echo -en ${MACADDR} | md5sum - | awk ‘/-/ {print $1}’)
    echo -en ${MACADDR} | md5sum - | awk ‘/-/ {print $1}’
    ++ awk ‘/-/ {print $1}’
    ++ md5sum -
    ++ echo -en 00:50:2c:08:f6:1e
  • MACHASH=579e24f336f8fa9c526b41b5f9bf116f
    ARCH=$(uname -m)
    uname -m)
    uname -m
    ++ uname -m
  • ARCH=i686
    FREEPBXVERS=$(head -n 1 /etc/schmooze/pbx-version)
    head -n 1 /etc/schmooze/pbx-version)
    head -n 1 /etc/schmooze/pbx-version
    ++ head -n 1 /etc/schmooze/pbx-version
  • FREEPBXVERS=3.211.63-5
    INSTALLTYPE=$(cat /installed-version | sed -e ‘s/.kickstart-([^.])./\1/’)
    cat /installed-version | sed -e 's/.kickstart-([^.]).
    /\1/’)
    cat /installed-version | sed -e ‘s/.kickstart-([^.])./\1/’
    ++ sed -e 's/.kickstart-([^.]).
    /\1/’
    ++ cat /installed-version
  • INSTALLTYPE=raid-asterisk8
    UARETURN=$(curl -s -m 30 -A “FreePBX Firstboot FreePBX-${FREEPBXVERS} ${ARCH} ${INSTALLTYPE}” --data mac=${MACADDR} --data mhash=${MACHASH} http://kickstart.freepbxdistro.org/install-log/)
    curl -s -m 30 -A “FreePBX Firstboot FreePBX-${FREEPBXVERS} ${ARCH} ${INSTALLTYPE}” --data mac=${MACADDR} --data mhash=${MACHASH} http://kickstart.freepbxdistro.org/install-log/)
    curl -s -m 30 -A “FreePBX Firstboot FreePBX-${FREEPBXVERS} ${ARCH} ${INSTALLTYPE}” --data mac=${MACADDR} --data mhash=${MACHASH} http://kickstart.freepbxdistro.org/install-log/
    ++ curl -s -m 30 -A ‘FreePBX Firstboot FreePBX-3.211.63-5 i686 raid-asterisk8’ --data mac=00:50:2c:08:f6:1e --data mhash=579e24f336f8fa9c526b41b5f9bf116f http://kickstart.freepbxdistro.org/install-log/
  • UARETURN=’{“status”:“passed”,“data”:{“ua”:“FreePBX Firstboot FreePBX-3.211.63-5 i686 raid-asterisk8”,“ipaddr”:“184.13.6.143”,“test”:0,“mac”:“00:50:2c:08:f6:1e”,“mhash”:“579e24f336f8fa9c526b41b5f9bf116f”}}’

echo ${UARETURN} | grep ‘passed’

  • grep passed
  • echo ‘{“status”:“passed”,“data”:{“ua”:"FreePBX’ Firstboot FreePBX-3.211.63-5 i686 ‘raid-asterisk8",“ipaddr”:“184.13.6.143”,“test”:0,“mac”:“00:50:2c:08:f6:1e”,“mhash”:“579e24f336f8fa9c526b41b5f9bf116f”}}’
    {“status”:“passed”,“data”:{“ua”:“FreePBX Firstboot FreePBX-3.211.63-5 i686 raid-asterisk8”,“ipaddr”:“184.13.6.143”,“test”:0,“mac”:“00:50:2c:08:f6:1e”,“mhash”:“579e24f336f8fa9c526b41b5f9bf116f”}}

known good return{“status”:“passed”,“data”:{“ua”:“FreePBX Firstboot FreePBX-1.810.210.57 i386 raid”,“ipaddr”:“98.92.113.190”,“mac”:“00:13:e8:dc:ba:47”,“mhash”:“b95057354699ec012de93ac1b833ffd4”,“test”:1}}

errexitoff

  • errexitoff
  • set +o errexit
  • trap ‘’ ERR

Setup logger

remove logger.conf so FreePBX can symlink to it

log_info “Cleaning up logging configuration”

  • log_info ‘Cleaning up logging configuration’
  • echo 'Cleaning up logging configuration’
    rm -rf /etc/asterisk/logger.conf
  • rm -rf /etc/asterisk/logger.conf

Install FreePBX RPM

log_info “Please wait while we install FreePBX GUI”

  • log_info ‘Please wait while we install FreePBX GUI’
  • echo 'Please wait while we install FreePBX GUI’
    log_info " This can take anywhere from 5-10 minutes"
  • log_info ’ This can take anywhere from 5-10 minutes’
  • echo ’ This can take anywhere from 5-10 minutes’
    /usr/bin/yum -q -y install freepbx-2.11* freepbxdistro-header-2.10.0*
  • /usr/bin/yum -q -y install ‘freepbx-2.11*’ ‘freepbxdistro-header-2.10.0*’
    /usr/lib/yum-plugins/kmod.py:25: DeprecationWarning: the sets module is deprecated
    from sets import Set, ImmutableSet
    Starting asterisk: e[60G[e[0;32m OK e[0;39m]
    /usr/sbin/safe_asterisk: line 145: 1786 Illegal instruction (core dumped) nice -n $PRIORITY ${ASTSBINDIR}/asterisk -f ${CLIARGS} ${ASTARGS} > /dev/${TTY} 2>&1 < /dev/${TTY}
    Asterisk ended with exit status 132
    Asterisk exited on signal 4.
    Automatically restarting Asterisk.
    Starting mysqld: e[60G[e[0;32m OK e[0;39m]
    /usr/sbin/safe_asterisk: line 145: 1826 Illegal instruction (core dumped) nice -n $PRIORITY ${ASTSBINDIR}/asterisk -f ${CLIARGS} ${ASTARGS} > /dev/${TTY} 2>&1 < /dev/${TTY}
    Asterisk ended with exit status 132
    Asterisk exited on signal 4.
    Automatically restarting Asterisk.
    mv: cannot stat /usr/src/freepbx': No such file or directory *** Checking mysql... Setting up mysql... /usr/sbin/safe_asterisk: line 145: 1930 Illegal instruction (core dumped) nice -n $PRIORITY ${ASTSBINDIR}/asterisk -f ${CLIARGS} ${ASTARGS} > /dev/${TTY} 2>&1 < /dev/${TTY} Asterisk ended with exit status 132 Asterisk exited on signal 4. Automatically restarting Asterisk. *** Installing FreePBX /usr/sbin/safe_asterisk: line 145: 1976 Illegal instruction (core dumped) nice -n $PRIORITY ${ASTSBINDIR}/asterisk -f ${CLIARGS} ${ASTARGS} > /dev/${TTY} 2>&1 < /dev/${TTY} Asterisk ended with exit status 132 Automatically restarting Asterisk. /usr/sbin/safe_asterisk: line 145: 1982 Illegal instruction (core dumped) nice -n $PRIORITY ${ASTSBINDIR}/asterisk -f ${CLIARGS} ${ASTARGS} > /dev/${TTY} 2>&1 < /dev/${TTY} Asterisk ended with exit status 132 Asterisk exited on signal 4. Automatically restarting Asterisk. /usr/sbin/safe_asterisk: line 145: 1994 Illegal instruction (core dumped) nice -n $PRIORITY ${ASTSBINDIR}/asterisk -f ${CLIARGS} ${ASTARGS} > /dev/${TTY} 2>&1 < /dev/${TTY} Asterisk ended with exit status 132 Automatically restarting Asterisk. /usr/sbin/safe_asterisk: line 145: 2000 Illegal instruction (core dumped) nice -n $PRIORITY ${ASTSBINDIR}/asterisk -f ${CLIARGS} ${ASTARGS} > /dev/${TTY} 2>&1 < /dev/${TTY} Asterisk ended with exit status 132 Asterisk exited on signal 4. Automatically restarting Asterisk. PHP Warning: date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'America/New_York' for 'EST/-5.0/no DST' instead in /usr/src/freepbx-2.11.0beta2/amp_conf/htdocs/admin/libraries/utility.functions.php on line 76 chown: cannot access/var/www/html/admin/’: No such file or directory
    touch: cannot touch /var/www/html/panel/op_buttons_additional.cfg': No such file or directory touch: cannot touch/var/www/html/panel/op_buttons_custom.cfg’: No such file or directory
    chmod: cannot access `/var/spool/asterisk/monitor’: No such file or directory
    httpd: Could not reliably determine the server’s fully qualified domain name, using localhost.localdomain for ServerName
    *** FreePBX installed!
    ERROR 1045 (28000): Access denied for user ‘root’@‘localhost’ (using password: YES)

Enable modules that in 2.11 are not being enabled from the RPM

log_info " … Enabling Asterisk modules"

  • log_info ’ … Enabling Asterisk modules’
  • echo ’ … Enabling Asterisk modules’
    sudo -u asterisk /var/lib/asterisk/bin/module_admin enable fw_ari
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin enable fw_ari
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin enable framework
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin enable framework
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin disable fw_fop
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin disable fw_fop
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
  • sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
    sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
    sudo: /var/lib/asterisk/bin/module_admin: command not found

pull in all freepbx modules and load them

log_info " … Loading all FreePBX modules"

  • log_info ’ … Loading all FreePBX modules’
  • echo ’ … Loading all FreePBX modules’
    which amportal chown
    which amportal
    ++ which amportal
    which: no amportal in (/sbin:/usr/sbin:/bin:/usr/bin)
  • chown
    chown: missing operand
    Try `chown --help’ for more information.

Install all core modules and reload

sudo -u asterisk /var/lib/asterisk/bin/module_admin installall

  • sudo -u asterisk /var/lib/asterisk/bin/module_admin installall
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin installall
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin installall
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin installall
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin installall
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
  • sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
    sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
    sudo: /var/lib/asterisk/bin/module_admin: command not found

Install Misc non Core modules and reload

sudo -u asterisk /var/lib/asterisk/bin/module_admin download sysadmin

  • sudo -u asterisk /var/lib/asterisk/bin/module_admin download sysadmin
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin install sysadmin
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin install sysadmin
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin install sysadmin
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin install sysadmin
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin --repos extended download dahdiconfig
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin --repos extended download dahdiconfig
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin --repos extended install dahdiconfig
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin --repos extended install dahdiconfig
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    #sudo -u asterisk /var/lib/asterisk/bin/module_admin --repos commercial installall
    sudo -u asterisk /var/lib/asterisk/bin/module_admin download motif
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin download motif
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin install motif
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin install motif
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
  • sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
    sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
    sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
  • sudo -u asterisk /var/lib/asterisk/bin/module_admin reload
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    errexiton
  • errexiton
  • set -o errexit
  • trap traperr ERR

Sysadmin RPM for Sysadmin Module Moved to Firstboot or we can create the incrontab

/usr/bin/yum -q -y install sysadmin-*

  • /usr/bin/yum -q -y install ‘sysadmin-*’
    /usr/lib/yum-plugins/kmod.py:25: DeprecationWarning: the sets module is deprecated
    from sets import Set, ImmutableSet
    no table for root
    copying table from file '-'
    Shutting down Filesystem event daemon (incrond): e[60G[e[0;32m OK e[0;39m]
    Starting Filesystem event daemon (incrond): e[60G[e[0;32m OK e[0;39m]

Install dahdi.conf file

/usr/bin/yum -q -y install schmooze-dahdi-*

  • /usr/bin/yum -q -y install ‘schmooze-dahdi-*’
    /usr/lib/yum-plugins/kmod.py:25: DeprecationWarning: the sets module is deprecated
    from sets import Set, ImmutableSet

Install wanpipe for Sangoma Cards

/usr/bin/yum -q -y install wanpipe-*

  • /usr/bin/yum -q -y install ‘wanpipe-*’
    /usr/lib/yum-plugins/kmod.py:25: DeprecationWarning: the sets module is deprecated
    from sets import Set, ImmutableSet
    No existing Wanpipe configuration found…
    Shutting down system logger: e[60G[e[0;32m OK e[0;39m]
    Starting system logger: e[60G[e[0;32m OK e[0;39m]
    Shutting down system logger: e[60G[e[0;32m OK e[0;39m]
    Starting system logger: e[60G[e[0;32m OK e[0;39m]
    *** Sangoma Wanpipe was successfully installed.
    Hardware Probe: /usr/sbin/wanrouter hwprobe
    Wanpipe Config: /usr/sbin/wancfg_fs
    Wanpipe Start : /usr/sbin/wanrouter start

Install iSymphony

/usr/bin/yum -q -y install iSymphonyServer-fpbx-*

  • /usr/bin/yum -q -y install ‘iSymphonyServer-fpbx-*’
    /usr/lib/yum-plugins/kmod.py:25: DeprecationWarning: the sets module is deprecated
    from sets import Set, ImmutableSet
    /var/tmp/rpm-tmp.YVpUp6: line 4: /usr/local/sbin/amportal: No such file or directory
    sudo: /var/lib/asterisk/bin/module_admin: command not found
    sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
    /opt/isymphony/server /
    Configuring SysV initscript…
    Turning iSymphonyServer on via chkconfig…
    Launching iSymphonyServer via service facilities…
    iSymphonyServer
    Daemonizing
    [ OK ]
    /
    sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
  • sudo -u asterisk /var/lib/asterisk/bin/retrieve_conf
    sudo: /var/lib/asterisk/bin/retrieve_conf: command not found
    traperr
    ++ traperr
    ++ declare -i i
    ++ declare -i nestlevel
    ++ declare Message=
    ++ nestlevel=2
    ++ (( 2 <= 2 ))
    ++ echo 'ERROR: /etc/pbx_first_boot.sh:161 '
    ERROR: /etc/pbx_first_boot.sh:161
    ++ (( 0 >= 3 ))
    ++ echo -e ‘Some firstboot error occured, and the system is not properly setup.\nCheck to see if you have internet access and re-run /etc/pbx_first_boot.sh\nPress ctrl-alt-f1 to continue’
    ++ exit 1

    ----end log----

This install is on a fresh 32bit system, no weird hardware, settings with a manual IP of 192.168.0.3/255.255.255.0 and using my internal DNS server. I have also tried Googles Open DNS addresses and many others with the same results.

Just an update on this, I did search the forums, and nothing that anyone else has tried has worked for me.

A lot of the directories for asterisk are missing, the entire setup seemed to work fine, up until the download modules part.

I am at a loss with this, I am not very good with linux anyway which does not help matters… :wink:

Can a moderator delete this, it is in the wrong section.

Moved to correct forum

I gave this a try today to see what is new. I tried two instals on a del 2650 and both failed at the same point with system hanging when all was completed and going down for the final boot to bring up the working system. I then tried installing the stable release and all went well and it came straight up. I will try another install tomorrow to get some logs.

Has anyone else experienced problems with installing this Beta release?